package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.EmerType;
import org.josast.amicalsat.FrameTlmAmicalsat.EmmnType;

//#[EM/ER];MN;[Timestamp];[V in];[V solar];[I in];[P in];[P peak];[T cpu];[V
// cpu]

public class EmmnTypeFrame extends Frame {

	private String timeStamps;
	private String vIn;
	private String vSolar;
	private String iIn;
	private String pIn;
	private String pPeak;
	private String tCpu;
	private String vCpu;

	@Override
	public void setUp(FrameTlmAmicalsat cube) {
		EmerType emtype = (EmerType) cube.frameTlmEntrySat().payload().tlmAreaSwitch();
		EmmnType log = (EmmnType) emtype.tlmsw();

		timeStamps = emtype.timeStamp();
		hash.put("TimeStamp", timeStamps);
		vIn = log.vIn();
		hash.put("vIn", vIn);
		vSolar = log.vSolar();
		hash.put("vSolar", vSolar);
		iIn = log.iIn();
		hash.put("iIn", iIn);
		pIn = log.pIn();
		hash.put("pIn", pIn);
		pPeak = log.pPeak();
		hash.put("pPeak", pPeak);
		tCpu = log.tCpu();
		hash.put("tCpu", tCpu);
		vCpu = log.vCpu();
		hash.put("vCpu", vCpu);

	}

}
